#include <GuiConstantsEx.au3>
#include <WindowsConstants.au3>
#include <GuiTreeView.au3>

$sUA_Config_File = @ScriptDir & "\UA.dat"

$hGUI = GUICreate("TreeView Strucure Test", 505, 400, -1, -1, -1, BitOR($WS_EX_TOOLWINDOW, $WS_EX_APPWINDOW))

$Folder_TreeView = GUICtrlCreateTreeView(15, 75, 200, 255, -1, $WS_EX_CLIENTEDGE)

_Set_Folder_Struture()

GUISetState()

While 1
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			Exit
	EndSwitch
WEnd

;This is the engine that supose to collet and build the whole TreeView structure from file.
Func _Set_Folder_Struture()
	Local $aRead_Ua_File = StringSplit(StringStripCR(FileRead($sUA_Config_File)), @LF)
	Local $sFolder_Name, $iParent_TV_ID = $Folder_TreeView, $iLast_TV_Item_ID = $Folder_TreeView
	
	For $i = 1 To $aRead_Ua_File[0]
		If Not StringRegExp($aRead_Ua_File[$i], ".*\t#.*") Then ContinueLoop
		
		$sFolder_Name = StringRegExpReplace(StringStripWS($aRead_Ua_File[$i], 3), "(.*)\t#.*", "\1")
		
		StringRegExpReplace($aRead_Ua_File[$i], "\A\t+", "")
		
		If @extended > 0 Then
			$iParent_TV_ID = $iLast_TV_Item_ID
		Else
			$iParent_TV_ID = $Folder_TreeView
		EndIf
		
		$iLast_TV_Item_ID = GUICtrlCreateTreeViewItem($sFolder_Name, $iParent_TV_ID)
		
		GUICtrlSetImage(-1, "Shell32.dll", -5, 3)
		GUICtrlSetImage(-1, "Shell32.dll", -4, 4)
	Next
EndFunc
